Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008434TestLinkTest Specificationpublic2018-10-26 21:422018-10-28 11:41
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.19 (2019 Q1) 
Summary0008434: Create New Test Case Version - add configuration option to disable FREEZE of old version
DescriptionSince 1.9.15

1. create test case, version 1 will be created
2. create a new version, version 2 will be created and version 1 will be set to FREEZE => it will not possible to edit it.

New config option
$tlCfg->testcase_cfg->freezeTCVersionOnNewTCVersion = TRUE;

current behaviour
$tlCfg->testcase_cfg->freezeTCVersionOnNewTCVersion = FALSE;
old version will remain open => can be edited.


TagsNo tags attached.
Database (MySQL,Postgres,etc)ANY
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0008397assignedfman Availables hot-fixes for 1.9.18 & How To get full fixed package from GitHub 

-  Notes
(0028108)
fman (administrator)
2018-10-27 06:29

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f0385e59053357339af88e2f9b029a02752c0341 [^]

- Issue History
Date Modified Username Field Change
2018-10-26 21:42 fman New Issue
2018-10-26 21:42 fman Status new => assigned
2018-10-26 21:42 fman Assigned To => fman
2018-10-26 21:43 fman Relationship added related to 0008433
2018-10-27 06:29 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-10-27 06:29 fman Note Added: 0028108
2018-10-27 06:29 fman Status assigned => resolved
2018-10-27 06:29 fman Fixed in Version => 1.9.19 (2019 Q1)
2018-10-27 06:29 fman Resolution open => fixed
2018-10-27 06:30 fman Relationship added child of 0008397
2018-10-28 11:41 fman Issue cloned: 0008436



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker